<template>
   <div class="waste-water">
<!--       <el-row>-->
<!--           <el-col>-->
           <el-table
                   class="tableBox"
                   :data="tableData"
                   :cell-style="rowClass"
                   :header-cell-style="tableHeaderColor"
           >
               <el-table-column
                       width="30px"
                        label=""
               >
                 <template >
                 <el-popover :value= "show"
                         placement="bottom"
                         width="200"
                         trigger="click"
                             popper-class="popovers"
                        >
                   <ChemicalWastewater @isshow= "show=false"></ChemicalWastewater>
                   <i class="el-icon-caret-right"  slot="reference" v-if="!isShowIcon"  ></i>
                   <i class="el-icon-caret-bottom" slot="reference" v-else-if="isShowIcon"></i>
<!--                       <i class="el-icon-caret-bottom" v-else-if="isShowIcon&&scope.row.index===1"></i>-->
<!--                       <i v-if="isShowIcon" class="el-icon-caret-bottom" slot="reference" @click="isbtn"></i>-->
<!--                   <i v-else class="el-icon-caret-right" slot="reference" @click="isbtn"></i>-->
                     </el-popover>
<!--                       <i class="el-icon-caret-right" v-if="!isShowIcon"></i>-->
<!--                       <i class="el-icon-caret-bottom" v-else-if="isShowIcon&&scope.row.index===1"></i>-->
                   </template>
               </el-table-column>
               <el-table-column
                       label="序号"
                       width="45px"
                       type="index">
               </el-table-column>
               <el-table-column
                       prop="UserName"
                       label="企业名称"
                       width="120px">
                 <template slot-scope="scope">
                   <div v-if="scope.row.UserName==='集团名称'" style="color: #00ffff">{{scope.row.UserName}}</div>
                   <div v-else-if="scope.row.UserName==='天津石化'" style="color: #00ffff">{{scope.row.UserName}}</div>
                   <div v-else >{{scope.row.UserName}}</div>
                 </template>
               </el-table-column>v-
               <el-table-column
                       prop="WasteWaters"
                       label="外排废水量（m³）"
                       width="100px">
               </el-table-column>
               <el-table-column label="COD  (t)">
                   <el-table-column
                           prop="AddOutPut"
                           label="累计产生量"
                           width="70px">
                   </el-table-column>
                   <el-table-column
                               prop="MonthOutPut"
                               label="当月生产量"
                               width="70px">
                   </el-table-column>
               </el-table-column>
               <el-table-column label="氨氮  (t)">
                   <el-table-column
                           prop="NH4NPut"
                           label="累计产生量"
                           width="70px">
                   </el-table-column>
                   <el-table-column
                           prop="NH4NMonth"
                           label="当月生产量"
                           width="70px">
                   </el-table-column>
               </el-table-column>
               <el-table-column label="排放口检测统计状态">
                   <el-table-column
                           prop="normal"
                           label="正常"
                           width="60px">
                     <template slot-scope="{row,$index}">
                       <u v-if="$index!=2" >{{row.normal}}</u>
                       <el-popover v-else
                           placement="bottom-end"
                           width="200"
                           trigger="click"
                       >
                         <ChemicalWastewater></ChemicalWastewater>
                         <u slot="reference" style="color: #00ffff">{{row.normal}}</u>
                         <!--                       <i class="el-icon-caret-bottom" v-else-if="isShowIcon&&scope.row.index===1"></i>-->
                         <!--                       <i v-if="isShowIcon" class="el-icon-caret-bottom" slot="reference" @click="isbtn"></i>-->
                         <!--                   <i v-else class="el-icon-caret-right" slot="reference" @click="isbtn"></i>-->
                       </el-popover>
                     </template>
                   </el-table-column>
                   <el-table-column
                           prop="overProof"
                           label="超标"
                           width="60px">
                   </el-table-column>
                   <el-table-column
                           prop="Abnormal"
                           label="异常"
                           width="60px">
                   </el-table-column>
                   <el-table-column
                           prop="StopProduction"
                           label="停产"
                           width="60px">
                   </el-table-column>
                   <el-table-column
                           prop="deficiency"
                           label="缺失"
                           width="60px">
                   </el-table-column>
               </el-table-column>
           </el-table>
<!--       <ChemicalWastewater v-show="isShowIcon"></ChemicalWastewater>-->
<!--           </el-col>-->
<!--       </el-row>-->
   </div>
</template>

<script>
import ChemicalWastewater from './componented/ChemicalWastewater'
export default {
  name: 'WasteWater',
  components: {
    ChemicalWastewater
  },
  data () {
    return {
      show: false,
      isShowIcon: false,
      tableData: [{
        UserName: '集团名称',
        WasteWaters: '',
        AddOutPut: '',
        MonthOutPut: '',
        NH4NPut: '',
        NH4NMonth: '',
        normal: '',
        overProof: '',
        Abnormal: '',
        StopProduction: '',
        deficiency: ''
      }, {
        UserName: '天津石化',
        WasteWaters: '116.6',
        AddOutPut: '58.3',
        MonthOutPut: '13.1',
        NH4NPut: '58.3',
        NH4NMonth: '13.1',
        normal: '21',
        overProof: '2',
        Abnormal: '2',
        StopProduction: '2',
        deficiency: '2'
      }, {
        UserName: 'xxxx炼化3',
        WasteWaters: '116.6',
        MonthOutPut: '13.1',
        NH4NPut: '58.3',
        NH4NMonth: '13.1',
        normal: '21',
        overProof: '2',
        Abnormal: '2',
        StopProduction: '2',
        deficiency: '2'
      }, {
        UserName: 'xxxx4',
        WasteWaters: '116.6',
        AddOutPut: '58.3',
        MonthOutPut: '13.1',
        NH4NPut: '58.3',
        NH4NMonth: '13.1',
        normal: '21',
        overProof: '2',
        Abnormal: '2',
        StopProduction: '2',
        deficiency: '2'

      }]
    }
  },
  methods: {
    tableHeaderColor ({ row, column, owIndex, columnIndex }) {
      return 'background-color: rgba(26, 73, 81, 0.901960784313726);color:#fff;font-wight:500;font-size:12px;text-align:center;height:0px'
    },
    // 表头样式设置
    rowClass  () {
      return 'text-align: center;background-color: rgba(26, 73, 81, 0.901960784313726);color:#fff;width:64px'
    },
    // cellClick (row, column, cell, event) {
    //   console.log(row.index)
    //   if (row.index === 1) {
    //     this.isShowIcon = !this.isShowIcon
    //   }
    //   // console.log(column)
    //   // console.log(cell)
    //   // console.log(event)
    // },
    // isbtn () {
    //     this.isShowIcon = !this.isShowIcon
    //   // this.isShowIcon = !this.isShowIcon
    //   // console.log(1)
    // },
    tableCellClassName ({ row, column, rowIndex, columnIndex }) {
      row.index = rowIndex
      column.index = columnIndex
    }
  }
}
</script>

<style >
.popovers{
  width: auto !important;
}
.popovers.el-popover{
padding:0;
}

</style>
